Bug 2013945 - OCPonRHV: pvc stuck on pending status when using preallocated storage domain
Summary: OCPonRHV: pvc stuck on pending status when using preallocated storage domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Gal Zaidman
QA Contact: michal
URL:
Whiteboard:
Depends On: 1985795
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-14 07:51 UTC by Gal Zaidman
Modified: 2021-11-02 14:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1985795
Environment:
Last Closed: 2021-11-02 14:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovirt-csi-driver pull 89 0 None open Bug 2013945: pvc stuck on pending status when using preallocated storage domain 2021-10-14 07:53:28 UTC
Red Hat Product Errata RHBA-2021:4020 0 None None None 2021-11-02 14:42:13 UTC

Comment 5 michal 2021-10-26 11:21:26 UTC
rhv: 4.49
ocp: 4.8.0-0.nightly-2021-10-20-155651

steps: 
check this metric -

NFSx+Preallocated=Raw
SAN+Preallocated = Raw
SAN+Sparse = QCOW2
NFS+Sparse = Raw

I created NFS storage domain and check relevant cases with it,
also check in api that it creates the correct format.

1) create SC with ThisProvision = True/False and NFS/ISCSI 
2) create PVC for ths sc and check that there is no errors in log and it created in correct format

Comment 8 errata-xmlrpc 2021-11-02 14:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4020


Note You need to log in before you can comment on or make changes to this bug.